using GrapeCity.ActiveReports.Web;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.Web.Optimization;
using System.Web.Routing;
using System.Web.Security;
using System.Web.SessionState;

namespace BBTReportLibrary
{
    public class MvcApplication : System.Web.HttpApplication
    {
        protected void Application_Start()
        {
            AreaRegistration.RegisterAllAreas();
            FilterConfig.RegisterGlobalFilters(GlobalFilters.Filters);
            RouteConfig.RegisterRoutes(RouteTable.Routes);
            BundleConfig.RegisterBundles(BundleTable.Bundles);

            this.UseReporting(settings =>
            {
                settings.UseFileStore(new System.IO.DirectoryInfo(AppDomain.CurrentDomain.BaseDirectory + "Reports"));
                settings.UseCompression = true;
            });
        }
    }
}
