﻿using GrapeCity.ActiveReports;
using System;
using System.IO;
using System.Web.Mvc;

namespace BBTReportLibrary.Views.Home
{
    public partial class ReportViewer : ViewPage
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            string reportName = "ProfitAndLoss.rdlx";

            PageReport report = new PageReport();
            string dir = AppDomain.CurrentDomain.BaseDirectory;
            FileInfo fileInfo = new FileInfo(dir + @"Reports\" + reportName);
            report = new PageReport(fileInfo);
            viewer.ViewerType = GrapeCity.ActiveReports.Web.ViewerType.HtmlViewer;
            viewer.Report = report;
            //try
            //{
            //    viewer.RenderMode = GrapeCity.ActiveReports.Web.RenderMode.Galley;
            //}
            //catch(Exception ex)
            //{
            //    viewer.RenderMode = GrapeCity.ActiveReports.Web.RenderMode.Paginated;
            //}
        }
    }
}