﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace BBTReportLibrary.Views.Shared
{
    public partial class _Layout : System.Web.UI.MasterPage
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            HttpCookie authCookie;
            FormsAuthenticationTicket ticket;
            authCookie = Request.Cookies[FormsAuthentication.FormsCookieName];
            if (authCookie != null && authCookie.Value != "")
            {
                ticket = FormsAuthentication.Decrypt(authCookie.Value);
            }
            else
            {
                ticket = null;
            }

            if (ticket == null)
            {
                logoutButton.Visible = false;
            }
            else
            {
                loginButton.Visible = false;
            }
        }
    }
}